# ``twisted`.`internet`.`_sslverify`.`CertBase``

class documentation

`class CertBase: (source)`

Known subclasses: `twisted.internet.ssl.Certificate`, `twisted.internet.ssl.CertificateRequest`

View In Hierarchy

Base class for public (certificate only) and private (certificate + key pair) certificates.

Method | `__conform__` | Convert this `CertBase` into a provider of the given interface.
Method | `__init__` | Undocumented
Method | `getSubject` | Retrieve the subject of this certificate.
Instance Variable | `original` | The underlying OpenSSL certificate object.
Method | `_copyName` | Undocumented

def __conform__(self, interface): (source)
Convert this `CertBase` into a provider of the given interface.

Parameters
interface:`zope.interface.interfaces.IInterface` | The interface to conform to.
Returns
`IOpenSSLTrustRoot` or `NotImplemented` | an `IOpenSSLTrustRoot` provider or `NotImplemented`

def __init__(self, original): (source)

Undocumented

def getSubject(self): (source)
Retrieve the subject of this certificate.

Returns
`DistinguishedName` | A copy of the subject of this certificate.

original: `OpenSSL.crypto.X509` = (source)
The underlying OpenSSL certificate object.
def _copyName(self, suffix): (source)

Undocumented